package intrinsic.mx.controls.dataGridClasses;

public class DataGridItemRenderer extends intrinsic.mx.core.UITextField implements intrinsic.mx.controls.listClasses.IListItemRenderer, intrinsic.mx.styles.IStyleClient, intrinsic.mx.core.IDataRenderer, intrinsic.mx.managers.ILayoutManagerClient, intrinsic.mx.controls.listClasses.IDropInListItemRenderer {

	/** Accessors */
	public Object data;
	public intrinsic.mx.styles.CSSStyleDeclaration styleDeclaration;
	public intrinsic.mx.controls.listClasses.BaseListData listData;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public DataGridItemRenderer() {
}


/** Static Methods */

/** Methods */
public native void validateDisplayList();
public native void regenerateStyleCache(boolean arg0);
public native void setStyle(String arg0, Object arg1);
public native void validateSize();
public native void validateSize(boolean arg0);
public native void initialize();
public native void clearStyle(String arg0);
public native intrinsic.Array getClassStyleDeclarations();
public native void validateNow();
public native void notifyStyleChangeInChildren(String arg0, boolean arg1);
public native void registerEffects(intrinsic.Array arg0);
public native Object getStyle(String arg0);
public native void initProtoChain();
public native void validateProperties();

}
